Intellij air descriptor generator with Maven and flexmojos

Hey,

I'm using IntelliJ 13 and Maven + Flexmojos.
We've run into a problem, where we use 4.12 SDK and IntelliJ whilst compilation (Make project) generates air descriptor file with sdk version 3.1, where it should be 3.9.

How can I get intellij to inherit air version from maven pom file?

11 comments
Comment actions Permalink

I suggest to use custom AIR app descriptor template instead of generated one. Project Structure | Modules | [your module] | [your build configuration subnode] | AIR Package or Android or iOS tab.

0
Comment actions Permalink

That I know how to do, but IntelliJ has to pick up the version from somewhere, right? Can we modify it?
I don't want to instruct every member of the team to do it...

0
Comment actions Permalink

Unfortunately there's no way to force correct AIR version for Flexmojos projects. Related issue: IDEA-111622
You can keep AIR descriptor template and IntelliJ IDEA project files in Version Control, thus your team won't need any instructions.

0
Comment actions Permalink

Are you planning onfixing that issue?
I still have to instruct them to set up their intellij settings to use existing descriptor.

0
Comment actions Permalink

Yes, will fix one day. What Flexmojos version do you use? Am I right that you set 'airVersion' configuration option in your pom.xml?
If you keep project files in VCS colleagues will have the same configuration without any manual work.

0
Comment actions Permalink

Let's not resort to keeping config files in vcs.
I'm using 6.0.1 flexmojos and airVersion is specified.

Where does intellij pick that namespace version from? It seems to be random to me, sometimes it's 2.0 sometimes it's 3.1...

0
Comment actions Permalink

In case of standard Flex SDK installatin IDE gets correct AIR version by runninf adt -version.
In case of Flexmojos AIR version is hardcoded: if Flex SDK is 4.1 then AIR is 2.0, if Flex SDK is 4.6+ then AIR version is 3.1.

0
Comment actions Permalink

Can you introduce quick-fix so that when sdk is 4.12 air would be 3.9? Or ideally, pick it up from air.version? Should not be that hard?

0
Comment actions Permalink

Will fix for sure.
But in any case using custom descriptor is preferred. You get full control on contents and I do not see any drawbacks.

0
Comment actions Permalink

Thanks; will it get pushed to 13.X?

btw; I wonder if we keep on answering back and forth, will the width of the post get to 0 eventually?

0
Comment actions Permalink

I'm afraid 13.1.x updates are over.

0

Please sign in to leave a comment.